<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Vue Resource</title>
</head>
<body>

<main>
    <img
            v-for="people in peoples"
            :src="people.picture.thumbnail"
            :alt="persona.name.first">
</main>

<script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
<script src="https://cdn.jsdelivr.net/npm/vue-resource@1.5.1"></script>
<script>
    new Vue({
        el: 'main',
        mounted() {
            this.loadPeoples();
        },
        data: {
            peoples: []
        },
        methods: {
            loadPeoples() {
                this.$http.get('https://randomuser.me/api/?results=50')
                    .then((response) => {
                        this.peoples = response.body.results;
                    }).catch((error) => {
                    console.log(error)
                })
            }
        }
    });
</script>

</body>
</html>